Extend an edit session
PUT/v2/themes/{themeId}/rive-graphics/{graphicId}/edit-sessions/{sessionToken}/heartbeat
PUT
/v2/themes/{themeId}/rive-graphics/{graphicId}/edit-sessions/{sessionToken}/heartbeat
const url = 'https://api.ligr.live/rest/v2/themes/1/rive-graphics/example/edit-sessions/example/heartbeat';const options = {method: 'PUT', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://api.ligr.live/rest/v2/themes/1/rive-graphics/example/edit-sessions/example/heartbeat \ --header 'Authorization: Bearer <token>'Beta. This operation can change between minor versions. See Beta status.
Extends the edit session lock by 60 s. Send it every 20 s while no writes happen. Fails with 409 SESSION_INVALID when the session expired or a person took the graphic back.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”themeId
required
number format: double
graphicId
required
string
sessionToken
required
string
Responses
Section titled “Responses”Ok
Media typeapplication/json
object
expiresAt
required
string
Examplegenerated
{ "expiresAt": "example"}